﻿@model ClinicaHumaita.Models.Users

@{
    ViewData["Title"] = "Adicionar Usuário";
}

<h4 class="text-center">Cadastrar usuário</h4>

<hr />
<div class="row mt-4">
    <div class="col-md-6">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>

            <div class="form-group">
                <label asp-for="Person.name" class="control-label"> </label>
                <input asp-for="Person.name" class="form-control" />
                <span asp-validation-for="Person.name" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label asp-for="Person.email" class="control-label"></label>
                <input asp-for="Person.email" class="form-control" required />
                <span asp-validation-for="Person.email" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label asp-for="UserName" class="control-label"></label>
                <input asp-for="UserName" class="form-control" />
                <span asp-validation-for="UserName" class="text-danger"></span>
            </div>


            <div class="form-group">
                <label asp-for="Password" class="control-label"></label>
                <input asp-for="Password"   class="form-control" />
                <span asp-validation-for="Password" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label class="control-label">Confirme sua senha</label>
                <input id="confirmaPassword" type="password" class="form-control" onblur="validatePassword()" required/>
                <span id="message" ></span>
            </div>

            <div class="form-group">
                <input type="submit" value="Cadastrar" class="btn btn-primary" />
                <a asp-action="Index" asp-controller="Home" class="btn btn-danger ml-5">Voltar</a>
            </div>
        </form>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
<script type="text/javascript">

    function validatePassword()
    {
        if ($('input[name ="Password"]').val() == $('#confirmaPassword').val())
        {
            $('#message').html('Senhas iguais').css('color', 'green');
        }
        else
        {
            $('#message').html('Senha e a confirmação da senha são diferentes, informe novamente a confirmção').css('color', 'red');
            $("#confirmaPassword").val("");    
        }
    }

</script>
